List available exchange connections - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/customers/{id}/available-exchange-connections
cURL
GET https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694/available-exchange-connections
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl =
"https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694";
dwolla
.get(`${customerUrl}/available-exchange-connections`)
.then(
(res) =>
res.body._embedded["available-exchange-connections"][0]
.availableConnectionToken
); // => 'eyJhY2NvdW50SWQiOiJBQ1QtMjAxY2FkM2MtYzc2Yi00N2M1LWI3Y2QtMTkxY2FhNzdlZWM5IiwibWVtYmVySWQiOiJNQlItZGNjZWY0ZWMtOGM4MC00NTlmLTlhMGItMTc1ZTA0OTJmZWIzIn0='
Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694'
available_exchange_connection = app_token.get('%s/available-exchange-connections' % customer_url)
available_exchange_connection.body['_embedded']['available-exchange-connections'][0]['availableConnectionToken'] # => 'eyJhY2NvdW50SWQiOiJBQ1QtMjAxY2FkM2MtYzc2Yi00N2M1LWI3Y2QtMTkxY2FhNzdlZWM5IiwibWVtYmVySWQiOiJNQlItZGNjZWY0ZWMtOGM4MC00NTlmLTlhMGItMTc1ZTA0OTJmZWIzIn0='
/**
* No example for this language yet.
**/
Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694'
available_exchange_connections = app_token.get "#{customer_url}/available-exchange-connections"
available_exchange_connections._embedded['available-exchange-connections'][0].availableConnectionToken # => "eyJhY2NvdW50SWQiOiJBQ1QtMjAxY2FkM2MtYzc2Yi00N2M1LWI3Y2QtMTkxY2FhNzdlZWM5IiwibWV0YmVySWQiOiJNQlItZGNjZWY0ZWMtOGM4MC00NTlmLTlhMGItMTc1ZTA0OTJmZWIzIn0="
Response Codes
- 200: successful operation
- 404: Not Found
Example Response
{
"_links": {
"self": {
"href": "https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694/available-exchange-connections",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "customer"
},
"customers": {
"href": "https://api.dwolla.com/customers/1b54c81a-261f-4779-bb57-9405e6e00694",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "customer"
}
},
"_embedded": {
"available-exchange-connections": [
{
"availableConnectionToken": "eyJhY2NvdW50SWQiOiJBQ1QtMjAxY2FkM2MtYzc2Yi00N2M1LWI3Y2QtMTkxY2FhNzdlZWM5IiwibWVtYmVySWQiOiJNQlItZGNjZWY0ZWMtOGM4MC00NTlmLTlhMGItMTc1ZTA0OTJmZWIzIn0=",
"name": "XYZ Checking"
}
]
}
}
{
"code": "NotFound",
"message": "The requested resource was not found. Check Customer ID."
}
Authorizations
Authorization (required): String header - The access token received from the authorization server in the OAuth 2.0 flow.
Headers
- Accept (required): Media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:application/vnd.dwolla.v1.hal+json
Path Parameters
- id (required): Customer's unique identifier
Response
- 200: application/vnd.dwolla.v1.hal+json - successful operation